<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="Designates the source of a role that participates in a relationship. A relationship-role-source element uniquely identifies an entity bean.  @invariant The content of each role-source element shall refer to an existing entity bean, entity bean reference.">
<meta name="KeyWords" content="RoleSource,Class RoleSource,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;RoleSource&nbsp;{Analysis}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>Designates&nbsp;the&nbsp;source&nbsp;of&nbsp;a&nbsp;role&nbsp;that&nbsp;participates&nbsp;in&nbsp;a&nbsp;relationship.&nbsp;A&nbsp;relationship-role-source&nbsp;element&nbsp;uniquely&nbsp;identifies&nbsp;an&nbsp;entity&nbsp;bean.
<BR>@invariant&nbsp;The&nbsp;content&nbsp;of&nbsp;each&nbsp;role-source&nbsp;element&nbsp;shall&nbsp;refer&nbsp;to&nbsp;an&nbsp;existing&nbsp;entity&nbsp;bean,&nbsp;entity&nbsp;bean&nbsp;reference.</font><BR><BR>
</body>
</html>
